org.eclipse.mat.ui.compare

## Class CompareBasketView

- java.lang.Object
- - ViewPart
  - - org.eclipse.mat.ui.compare.CompareBasketView

    public class CompareBasketView
    extends ViewPart

### Field Summary

Fields
`static String` `ID`

### Constructor Summary

Constructors
Constructor and Description
`CompareBasketView()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static boolean` `accepts(PaneState state, MultiPaneEditor editor)`
`void` `addResultToCompare(PaneState state, MultiPaneEditor editor)`
`void` `createPartControl(Composite parent)`
`void` `dispose()`
`void` `setFocus()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ID

    public static final String ID

See Also:
  Constant Field Values

### Constructor Detail

#### CompareBasketView

    public CompareBasketView()

### Method Detail

#### createPartControl

    public void createPartControl(Composite parent)

#### setFocus

    public void setFocus()

#### addResultToCompare

    public void addResultToCompare(PaneState state,
                                   MultiPaneEditor editor)

#### accepts

    public static boolean accepts(PaneState state,
                                  MultiPaneEditor editor)

#### dispose

    public void dispose()